/*
 * blanco Framework
 * Copyright (C) 2004-2009 IGA Tosiki
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.sample.batchprocess.valueobject;

import java.math.BigDecimal;

/**
 * NX [Sample2Process]̓̓o[IuWFNgNXłB
 */
public class Sample2ProcessInput {
    /**
     * K{̃TvB
     *
     * tB[h: [require]B
     */
    private String fRequire;

    /**
     * \̃TvB
     *
     * tB[h: [dispstr]B
     * ftHg: [Ɏw肪ꍇ̕]B
     */
    private String fDispstr = "Ɏw肪ꍇ̕";

    /**
     * K{łȂA܂ftHgȂ̗B
     *
     * tB[h: [normalparam]B
     */
    private String fNormalparam;

    /**
     * tB[h: [field_int_req]B
     */
    private int fFieldIntReq;

    /**
     * tB[h: [field_int]B
     */
    private int fFieldInt;

    /**
     * tB[h: [field_long_req]B
     */
    private long fFieldLongReq;

    /**
     * tB[h: [field_long]B
     */
    private long fFieldLong;

    /**
     * tB[h: [field_decimal_req]B
     */
    private BigDecimal fFieldDecimalReq;

    /**
     * tB[h: [field_decimal]B
     */
    private BigDecimal fFieldDecimal;

    /**
     * tB[h: [field_boolean_req]B
     */
    private boolean fFieldBooleanReq;

    /**
     * tB[h: [field_boolean]B
     */
    private boolean fFieldBoolean;

    /**
     * tB[h [require] ̒lݒ肵܂B
     *
     * tB[h̐: [K{̃TvB]B
     *
     * @param argRequire tB[h[require]ɐݒ肷lB
     */
    public void setRequire(final String argRequire) {
        fRequire = argRequire;
    }

    /**
     * tB[h [require] ̒l擾܂B
     *
     * tB[h̐: [K{̃TvB]B
     *
     * @return tB[h[require]擾lB
     */
    public String getRequire() {
        return fRequire;
    }

    /**
     * tB[h [dispstr] ̒lݒ肵܂B
     *
     * tB[h̐: [\̃TvB]B
     *
     * @param argDispstr tB[h[dispstr]ɐݒ肷lB
     */
    public void setDispstr(final String argDispstr) {
        fDispstr = argDispstr;
    }

    /**
     * tB[h [dispstr] ̒l擾܂B
     *
     * tB[h̐: [\̃TvB]B
     * ftHg: [Ɏw肪ꍇ̕]B
     *
     * @return tB[h[dispstr]擾lB
     */
    public String getDispstr() {
        return fDispstr;
    }

    /**
     * tB[h [normalparam] ̒lݒ肵܂B
     *
     * tB[h̐: [K{łȂA܂ftHgȂ̗B]B
     *
     * @param argNormalparam tB[h[normalparam]ɐݒ肷lB
     */
    public void setNormalparam(final String argNormalparam) {
        fNormalparam = argNormalparam;
    }

    /**
     * tB[h [normalparam] ̒l擾܂B
     *
     * tB[h̐: [K{łȂA܂ftHgȂ̗B]B
     *
     * @return tB[h[normalparam]擾lB
     */
    public String getNormalparam() {
        return fNormalparam;
    }

    /**
     * tB[h [field_int_req] ̒lݒ肵܂B
     *
     * tB[h̐: []B
     *
     * @param argFieldIntReq tB[h[field_int_req]ɐݒ肷lB
     */
    public void setFieldIntReq(final int argFieldIntReq) {
        fFieldIntReq = argFieldIntReq;
    }

    /**
     * tB[h [field_int_req] ̒l擾܂B
     *
     * tB[h̐: []B
     *
     * @return tB[h[field_int_req]擾lB
     */
    public int getFieldIntReq() {
        return fFieldIntReq;
    }

    /**
     * tB[h [field_int] ̒lݒ肵܂B
     *
     * tB[h̐: []B
     *
     * @param argFieldInt tB[h[field_int]ɐݒ肷lB
     */
    public void setFieldInt(final int argFieldInt) {
        fFieldInt = argFieldInt;
    }

    /**
     * tB[h [field_int] ̒l擾܂B
     *
     * tB[h̐: []B
     *
     * @return tB[h[field_int]擾lB
     */
    public int getFieldInt() {
        return fFieldInt;
    }

    /**
     * tB[h [field_long_req] ̒lݒ肵܂B
     *
     * tB[h̐: []B
     *
     * @param argFieldLongReq tB[h[field_long_req]ɐݒ肷lB
     */
    public void setFieldLongReq(final long argFieldLongReq) {
        fFieldLongReq = argFieldLongReq;
    }

    /**
     * tB[h [field_long_req] ̒l擾܂B
     *
     * tB[h̐: []B
     *
     * @return tB[h[field_long_req]擾lB
     */
    public long getFieldLongReq() {
        return fFieldLongReq;
    }

    /**
     * tB[h [field_long] ̒lݒ肵܂B
     *
     * tB[h̐: []B
     *
     * @param argFieldLong tB[h[field_long]ɐݒ肷lB
     */
    public void setFieldLong(final long argFieldLong) {
        fFieldLong = argFieldLong;
    }

    /**
     * tB[h [field_long] ̒l擾܂B
     *
     * tB[h̐: []B
     *
     * @return tB[h[field_long]擾lB
     */
    public long getFieldLong() {
        return fFieldLong;
    }

    /**
     * tB[h [field_decimal_req] ̒lݒ肵܂B
     *
     * tB[h̐: []B
     *
     * @param argFieldDecimalReq tB[h[field_decimal_req]ɐݒ肷lB
     */
    public void setFieldDecimalReq(final BigDecimal argFieldDecimalReq) {
        fFieldDecimalReq = argFieldDecimalReq;
    }

    /**
     * tB[h [field_decimal_req] ̒l擾܂B
     *
     * tB[h̐: []B
     *
     * @return tB[h[field_decimal_req]擾lB
     */
    public BigDecimal getFieldDecimalReq() {
        return fFieldDecimalReq;
    }

    /**
     * tB[h [field_decimal] ̒lݒ肵܂B
     *
     * tB[h̐: []B
     *
     * @param argFieldDecimal tB[h[field_decimal]ɐݒ肷lB
     */
    public void setFieldDecimal(final BigDecimal argFieldDecimal) {
        fFieldDecimal = argFieldDecimal;
    }

    /**
     * tB[h [field_decimal] ̒l擾܂B
     *
     * tB[h̐: []B
     *
     * @return tB[h[field_decimal]擾lB
     */
    public BigDecimal getFieldDecimal() {
        return fFieldDecimal;
    }

    /**
     * tB[h [field_boolean_req] ̒lݒ肵܂B
     *
     * tB[h̐: []B
     *
     * @param argFieldBooleanReq tB[h[field_boolean_req]ɐݒ肷lB
     */
    public void setFieldBooleanReq(final boolean argFieldBooleanReq) {
        fFieldBooleanReq = argFieldBooleanReq;
    }

    /**
     * tB[h [field_boolean_req] ̒l擾܂B
     *
     * tB[h̐: []B
     *
     * @return tB[h[field_boolean_req]擾lB
     */
    public boolean getFieldBooleanReq() {
        return fFieldBooleanReq;
    }

    /**
     * tB[h [field_boolean] ̒lݒ肵܂B
     *
     * tB[h̐: []B
     *
     * @param argFieldBoolean tB[h[field_boolean]ɐݒ肷lB
     */
    public void setFieldBoolean(final boolean argFieldBoolean) {
        fFieldBoolean = argFieldBoolean;
    }

    /**
     * tB[h [field_boolean] ̒l擾܂B
     *
     * tB[h̐: []B
     *
     * @return tB[h[field_boolean]擾lB
     */
    public boolean getFieldBoolean() {
        return fFieldBoolean;
    }

    /**
     * ̃o[IuWFNg̕\擾܂B
     *
     * <P>gp̒</P>
     * <UL>
     * <LI>IuWFNg̃V[͈͂̂ݕ񉻂̏ΏۂƂȂ܂B
     * <LI>IuWFNgzQƂĂꍇɂ́Ã\bh͎gȂłB
     * </UL>
     *
     * @return o[IuWFNg̕\B
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.sample.batchprocess.valueobject.Sample2ProcessInput[");
        buf.append("require=" + fRequire);
        buf.append(",dispstr=" + fDispstr);
        buf.append(",normalparam=" + fNormalparam);
        buf.append(",field_int_req=" + fFieldIntReq);
        buf.append(",field_int=" + fFieldInt);
        buf.append(",field_long_req=" + fFieldLongReq);
        buf.append(",field_long=" + fFieldLong);
        buf.append(",field_decimal_req=" + fFieldDecimalReq);
        buf.append(",field_decimal=" + fFieldDecimal);
        buf.append(",field_boolean_req=" + fFieldBooleanReq);
        buf.append(",field_boolean=" + fFieldBoolean);
        buf.append("]");
        return buf.toString();
    }
}
